/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
export interface ChipAvatarSettings {
    /**
     * The CSS styles that will be rendered on the wrapper element of the avatar.
     * Supports the type of values that are supported by [ngStyle](link:site.data.urls.angular['ngstyleapi']).
     */
    cssStyle?: any;
    /**
     * Sets `initials` to the Chip avatar.
     */
    initials?: string;
    /**
     * The CSS styles that will be rendered on the wrapper element of the avatar initials.
     * Supports the type of values that are supported by [ngStyle](link:site.data.urls.angular['ngstyleapi']).
     */
    initialsCssStyle?: any;
    /**
     * Sets the `image` source of the Chip avatar.
     */
    imageSrc?: string;
    /**
     * Allows setting the `alt` attribute of a Chip avatar image.
     */
    imageAltText?: string;
    /**
     * The CSS styles that will be rendered on the avatar image element.
     * Supports the type of values that are supported by [ngStyle](link:site.data.urls.angular['ngstyleapi']).
     */
    imageCssStyle?: any;
}
